Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class DescendantNode

    java.lang.Object
      org.modeshape.graph.query.model.DescendantNode

All Implemented Interfaces:
  Serializable, Constraint, LanguageObject, Visitable

Direct Known Subclasses:
  JcrDescendantNode

    @Immutable
    public class DescendantNode

extends Object
implements Constraint

A constraint requiring that the selected node is a descendant of the node reachable by the supplied absolute path

See Also:
  Serialized Form

Constructor Summary
`DescendantNode(SelectorName selectorName, String ancestorPath)` Create a constraint requiring that the node identified by the selector is a descendant of the node reachable by the supplied absolute path.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`String` | `ancestorPath()` Get the path of the node that is to be the ancestor of the target node.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`SelectorName` | `selectorName()` Get the name of the selector for the node.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescendantNode

    public DescendantNode(SelectorName selectorName,
                          String ancestorPath)

  Create a constraint requiring that the node identified by the selector is a descendant of the node reachable by the supplied absolute path.

  Parameters:
    `selectorName` - the name of the selector
    `ancestorPath` - the absolute path to the ancestor

Method Detail

### selectorName

    public final SelectorName selectorName()

  Get the name of the selector for the node.

  Returns:
    the selector name; never null

### ancestorPath

    public final String ancestorPath()

  Get the path of the node that is to be the ancestor of the target node.

  Returns:
    the path of the ancestor node; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.